Skip to main content
POST
Sync a repository

Authorizations

Authorization
string
header
required

Create an organization API key in Account Settings > Developer. Do not send this key to the Kubernetes API server.

Path Parameters

drive_id
string<uuid>
required

Volume ID.

folder
string
required

The repository folder on the volume.

Response

The sync is queued.

A volume. Responses can include additional fields; ignore fields you do not recognize.

id
string<uuid>
required
name
string
required
status
string
required

active for a usable volume.

source_drive_id
string<uuid> | null

The volume this one was duplicated from.

size_bytes
integer<int64>

Measured size. It can lag writes from mounted machines.

file_count
integer | null
file_tree
object[]

A preview of recently updated files. Use List volume files for a complete listing.

file_tree_status
string
content_epoch
integer<int64>

Increases whenever the volume's files change.

source
object
file_capabilities
object
active_mount
object | null

The volume's mount on one VM or Bare Metal node.

active_mounts
object[]
created_at
string<date-time>
updated_at
string<date-time>